Skip to main content
POST
/
contentful2
/
v1
/
sync
/
list-files
List content synchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/contentful2/v1/sync/list-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
  "configuration": {
    "tags": [
      "translate-me"
    ]
  },
  "path": {
    "pathType": "ROOT"
  },
  "sourceLocale": "en-US"
}
'
import requests

url = "https://eu.phrase.com/connectors/contentful2/v1/sync/list-files"

payload = {
"connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
"configuration": { "tags": ["translate-me"] },
"path": { "pathType": "ROOT" },
"sourceLocale": "en-US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectorUuid: '4282fec0-d2e9-4266-8733-3e634feb7b59',
configuration: {tags: ['translate-me']},
path: {pathType: 'ROOT'},
sourceLocale: 'en-US'
})
};

fetch('https://eu.phrase.com/connectors/contentful2/v1/sync/list-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "remoteResources": [
    {
      "path": {
        "pathType": "ITEM",
        "directoryId": "dir1",
        "itemId": "item1"
      },
      "info": {
        "name": "example.json"
      }
    }
  ]
}
{
"problemDetail": {
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"properties": {}
}
}

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
string

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

Body

application/json

Request body for listing Contentful entries (and optionally assets). The response is a list of remoteResources you can feed back into download / convert endpoints.

connectorUuid
string
required

UUID of a connector instance configured in TMS.

Example:

"4282fec0-d2e9-4266-8733-3e634feb7b59"

configuration
object
required

Contentful-specific behavior knobs (tag filter, reference inlining, asset handling, …).

sourceLocale
string
required

Locale of the entries to list (Contentful locale code).

Example:

"en-US"

path
object | null

Selector inside the Contentful space — entry, folder, or ROOT for the entire selection driven by configuration.

Response

Successful operation. If X-ResponseType is set to 'ID' or no value is sent in the header, the file is saved and can be retrieved by sending a GET request to this endpoint. If X-ResponseType is set to 'OBJECT', the file is returned as a stream.